\name{int.domine_dbconn}
\alias{int.domine_dbconn}
\alias{int.domine_dbfile}
\alias{int.domine_dbschema}
\alias{int.domine_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  int.domine_dbconn()
  int.domine_dbfile()
  int.domine_dbschema(file="", show.indices=FALSE)
  int.domine_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{int.domine_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{int.domine_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{int.domine_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{int.domine_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{int.domine_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(int.domine_dbconn(), "select * from domine limit 3")

  ## The connection object returned by int.domine_dbconn() was created with:
  dbConnect(SQLite(), dbname=int.domine_dbfile(), cache_size=64000, synchronous=0)

  int.domine_dbschema()

  int.domine_dbInfo()
}
